using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempHistFaturaA
    {

        public void Delete(entidadeTempHistFaturaA objTempHistFaturaA)
        {
            dalTempHistFaturaA dalTempHistFaturaA = null;

            try
            {
                dalTempHistFaturaA = new dalTempHistFaturaA();

                dalTempHistFaturaA.Delete(objTempHistFaturaA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Execute(entidadeTempHistFaturaA objTempHistFaturaA)
        {
            dalTempHistFaturaA dalTempHistFaturaA = null;

            try
            {
                dalTempHistFaturaA = new dalTempHistFaturaA();

                dalTempHistFaturaA.Execute(objTempHistFaturaA);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select(entidadeTempHistFaturaA objTempHistFaturaA)
        {
            dalTempHistFaturaA dalTempHistFaturaA = null;
            DataTable dt = null;

            try
            {
                dalTempHistFaturaA = new dalTempHistFaturaA();
                dt = dalTempHistFaturaA.Select(objTempHistFaturaA);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select_1(entidadeTempHistFaturaA objTempHistFaturaA)
        {
            dalTempHistFaturaA dalTempHistFaturaA = null;
            DataTable dt = null;

            try
            {
                dalTempHistFaturaA = new dalTempHistFaturaA();
                dt = dalTempHistFaturaA.Select_1(objTempHistFaturaA);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
